Bug 1300858 - nfs-ganesha won't start on ubuntu trusty
nfs-ganesha won't start on ubuntu trusty
Status: NEW
Product: nfs-ganesha
Classification: Community
Component: Support (Show other bugs)
2.3
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Frank Filz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 18:15 EST by Ben Werthmann
Modified: 2017-03-15 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Werthmann 2016-01-21 18:15:50 EST
Description of problem:
The init script provided in the PPA for nfs-ganesha for Ubuntu Trusty will not start the daemon.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Actual results:
$ service nfs-ganesha start
/etc/init.d/nfs-ganesha: line 22: /etc/rc.d/init.d/functions: No such file or directory
Starting ganesha.nfsd: /etc/init.d/nfs-ganesha: line 46: failure: command not found

Expected results:
Daemon should start

Additional info:
Attempted this patch, but run into issues because /etc/rc.d/init.d/functions and /lib/lsb/init-functions are not compatible.

diff --git a/src/scripts/init.d/nfs-ganesha b/src/scripts/init.d/nfs-ganesha
index b13416e..7a5bfa8 100644
--- a/src/scripts/init.d/nfs-ganesha
+++ b/src/scripts/init.d/nfs-ganesha
@@ -19,7 +19,7 @@


 # source function library
-. /etc/rc.d/init.d/functions
+. /lib/lsb/init-functions

 PATHPROG=/usr/bin/ganesha.nfsd

@@ -46,7 +46,7 @@ start() {
                 failure
         else
                ulimit -n $NOFILE
-                daemon --pidfile $PID_FILE $PATHPROG $OPTIONS
+                daemon --pidfile $PID_FILE $PATHPROG -- $OPTIONS
                 RETVAL=$?
                 if [ $RETVAL -eq 0 ]; then
                            touch $LOCK_FILE

I suspect the best way forward is to have a Debian/Ubunutu specific, LSB compliant init script going forward. I'm open to other ideas as well.
Comment 1 RainerW 2016-05-02 11:01:33 EDT
a) I also cannot start ganesha on any Debian based OS, including the old LTS version, Ubuntu 14 LTS.

b) the above diff does not fix "status" & "stop" etc.

c) The same bug is also in debian repo ( http://download.gluster.org/pub/gluster/glusterfs/LATEST/Debian/jessie/ )
Comment 2 Ben Werthmann 2017-03-15 11:31:19 EDT
Our workaround is to use runit to manage nfs-ganesha.

Note You need to log in before you can comment on or make changes to this bug.